Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request PUT \ --url https://api.bey.dev/v1/knowledge-files/{id}/upload \ --header 'x-api-key: <api-key>'
import requests url = "https://api.bey.dev/v1/knowledge-files/{id}/upload" headers = {"x-api-key": "<api-key>"} response = requests.put(url, headers=headers) print(response.text)
const options = {method: 'PUT', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.bey.dev/v1/knowledge-files/{id}/upload', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Upload a single chunk of a knowledge file.
Your Beyond Presence API Key.
Knowledge File ID.
Chunk number, starting from 0.
x >= 0
Successful Response